# detectorData Class Reference

data structure to hold the detector data after postprocessing (e.g. to plot, store in a root tree etc.) More...

`#include <detectorData.h>`

List of all members.

## Public Member Functions

| detectorData (double *val=NULL, double *err=NULL, double *ang=NULL, double p_ind=-1, const char *fname="", int np=-1, int ny=1)
| The constructor.
| ~detectorData ()
| The destructor deletes also the arrays pointing to data/errors/angles if not NULL.

## Public Attributes

double * | values
| pointer to the data
double * | errors
| pointer to the errors
double * | angles
| pointer to the angles (NULL if no angular conversion)
double | progressIndex
| file index
char | fileName [1000]
| file name
int | npoints
| number of points
int | npy
| dimensions in y coordinate

## Detailed Description

data structure to hold the detector data after postprocessing (e.g. to plot, store in a root tree etc.)

Definition at line 9 of file detectorData.h.

## Constructor & Destructor Documentation

detectorData::detectorData | ( | double * | val = `NULL`,
|  | double * | err = `NULL`,
|  | double * | ang = `NULL`,
|  | double | p_ind = `-1`,
|  | const char * | fname = `""`,
|  | int | np = `-1`,
|  | int | ny = `1` |
| ) |  |  | `[inline]`

The constructor.

Parameters:

  | val | pointer to the data
  | err | pointer to errors
  | ang | pointer to the angles
  | f_ind | file index
  | fname | file name to which the data are saved
  | np | number of points in x coordinate defaults to the number of detector channels (1D detector)
  | ny | dimension in y (1D detector)

Definition at line 20 of file detectorData.h.

References fileName.

detectorData::~detectorData | ( |  | ) | `[inline]`

The destructor deletes also the arrays pointing to data/errors/angles if not NULL.

Definition at line 25 of file detectorData.h.

References angles, errors, and values.

## Member Data Documentation

double* detectorData::angles

pointer to the angles (NULL if no angular conversion)

Definition at line 29 of file detectorData.h.

Referenced by ~detectorData().

double* detectorData::errors

pointer to the errors

Definition at line 28 of file detectorData.h.

Referenced by ~detectorData().

char detectorData::fileName[1000]

file name

Definition at line 31 of file detectorData.h.

Referenced by detectorData().

int detectorData::npoints

number of points

Definition at line 32 of file detectorData.h.

Referenced by dataCallback().

int detectorData::npy

dimensions in y coordinate

Definition at line 33 of file detectorData.h.

Referenced by dataCallback().

double detectorData::progressIndex

file index

Definition at line 30 of file detectorData.h.

double* detectorData::values

pointer to the data

Definition at line 25 of file detectorData.h.

Referenced by ~detectorData().

The documentation for this class was generated from the following file:

- detectorData.h